<template>
  <div v-if="isActive" class="modal">
    <div class="modal__inner">
      <AuthForm class="auth-form">
        <div class="auth-form__title">
          Two factor auth
        </div>
        <TwoFactorAuthenticationForm :is-loading="$2fa.isLoading" @submit="onSubmit" />
      </AuthForm>
    </div>
  </div>
</template>

<script>
import AuthForm from './AuthForm'
import TwoFactorAuthenticationForm from './TwoFactorAuthenticationForm'

export default {
  components: { AuthForm, TwoFactorAuthenticationForm },
  props: {
    isActive: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    onSubmit (code) {
      this.$2fa.submit(code)
    }
  }
}
</script>

<style scoped lang="scss">
.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  &__inner {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
  }
}
.auth-form {
  padding: 40px 20px;
  max-width: 400px;
  display: flex;
  flex-direction: column;
  align-items: center;
  &__title {
    font-size: 30px;
    text-align: center;
  }
}
</style>